Discussion:
[Cucumber] Unable to run the feature file
(too old to reply)
g***@gmail.com
2016-03-24 11:22:23 UTC
Permalink
Hi All,

I am new to cucumber. I am trying to start a project using cucumber. When I
run the .feature file, I am getting an error. I tried googling the issue
but didn't get any thing.

Please find below the details :

Feature File :

Feature:Proof of concept that my framework works

Scenario:My First Test
Given I naviagted to the zoo website
When I click on adoption link
Then I check to see that no animals are available


Runner File :
@RunWith(Cucumber.class)
@CucumberOptions(
format={"pretty", "json:target/cucumber.json"},
features = {"src/cucumber/features"},
glue ={"stepDefinitions"}
)
public class CucumberRunner {


}


Error :

Exception in thread "main" cucumber.runtime.CucumberException: Failed to
instantiate public
cucumber.runtime.java.JavaBackend(cucumber.runtime.io.ResourceLoader) with
[***@1b0d33c]
at cucumber.runtime.Reflections.newInstance(Reflections.java:44)
at cucumber.runtime.Reflections.instantiateSubclasses(Reflections.java:30)
at cucumber.runtime.Runtime.loadBackends(Runtime.java:98)
at cucumber.runtime.Runtime.<init>(Runtime.java:65)
at cucumber.api.cli.Main.run(Main.java:35)
at cucumber.api.cli.Main.main(Main.java:18)
Caused by: java.lang.reflect.InvocationTargetException
at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknown Source)
at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Unknown Source)
at java.lang.reflect.Constructor.newInstance(Unknown Source)
at cucumber.runtime.Reflections.newInstance(Reflections.java:41)
... 5 more
Caused by: java.lang.NoSuchMethodError:
cucumber.runtime.io.ClasspathResourceLoader.getAnnotations(Ljava/lang/String;)Ljava/util/Collection;
at
cucumber.runtime.java.ClasspathMethodScanner.findCucumberAnnotationClasses(ClasspathMethodScanner.java:75)
at
cucumber.runtime.java.ClasspathMethodScanner.<init>(ClasspathMethodScanner.java:23)
at cucumber.runtime.java.JavaBackend.<init>(JavaBackend.java:30)
... 10 more


Please help me in this.

Thanks & Regards,
Gaurav Sharma
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google Groups "Cukes" group.
To unsubscribe from this group and stop receiving emails from it, send an email to cukes+***@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Thomas Sundberg
2016-03-24 14:23:35 UTC
Permalink
Post by g***@gmail.com
Hi All,
I am new to cucumber. I am trying to start a project using cucumber. When I
run the .feature file, I am getting an error. I tried googling the issue but
didn't get any thing.
Feature:Proof of concept that my framework works
Scenario:My First Test
Given I naviagted to the zoo website
When I click on adoption link
Then I check to see that no animals are available
@RunWith(Cucumber.class)
@CucumberOptions(
format={"pretty", "json:target/cucumber.json"},
features = {"src/cucumber/features"},
glue ={"stepDefinitions"}
)
public class CucumberRunner {
}
Exception in thread "main" cucumber.runtime.CucumberException: Failed to
instantiate public
cucumber.runtime.java.JavaBackend(cucumber.runtime.io.ResourceLoader) with
at cucumber.runtime.Reflections.newInstance(Reflections.java:44)
at cucumber.runtime.Reflections.instantiateSubclasses(Reflections.java:30)
at cucumber.runtime.Runtime.loadBackends(Runtime.java:98)
at cucumber.runtime.Runtime.<init>(Runtime.java:65)
at cucumber.api.cli.Main.run(Main.java:35)
at cucumber.api.cli.Main.main(Main.java:18)
Caused by: java.lang.reflect.InvocationTargetException
at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknown Source)
at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Unknown Source)
at java.lang.reflect.Constructor.newInstance(Unknown Source)
at cucumber.runtime.Reflections.newInstance(Reflections.java:41)
... 5 more
cucumber.runtime.io.ClasspathResourceLoader.getAnnotations(Ljava/lang/String;)Ljava/util/Collection;
at
cucumber.runtime.java.ClasspathMethodScanner.findCucumberAnnotationClasses(ClasspathMethodScanner.java:75)
at
cucumber.runtime.java.ClasspathMethodScanner.<init>(ClasspathMethodScanner.java:23)
at cucumber.runtime.java.JavaBackend.<init>(JavaBackend.java:30)
... 10 more
Please help me in this.
You are missing a dependency. Or something similar.

Please share how you try to invoke Cucumber. Which dependencies do you have?

Are you able to clone/download

https://github.com/cucumber/cucumber-java-skeleton

and get it working?

Cheers,
Thomas
--
Thomas Sundberg
M. Sc. in Computer Science

Mobile: +46 70 767 33 15
Blog: http://thomassundberg.wordpress.com/
Twitter: @thomassundberg

Better software through faster feedback

Join me for a Selenium kickstart in Timisoara, Romania in April.
http://mozaicworks.com/public-trainings-and-workshops/selenium-webdriver-test-automation-for-web-applications/

Interested in a BDD Kickstart in Stockholm?
https://cucumber.io/events/bdd-kickstart-stockholm-16
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google Groups "Cukes" group.
To unsubscribe from this group and stop receiving emails from it, send an email to cukes+***@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
g***@gmail.com
2016-03-25 05:32:00 UTC
Permalink
Hi Thomas,

I am not using the dependency mentioned by you. I have downloaded the
Cucumber dependency from
"http://cucumber.github.com/cucumber-eclipse/update-site".

I am running the feature file as "Cucumber Feature".

Thanks,
Gaurav Sharma
Post by g***@gmail.com
Post by g***@gmail.com
Hi All,
I am new to cucumber. I am trying to start a project using cucumber.
When I
Post by g***@gmail.com
run the .feature file, I am getting an error. I tried googling the issue
but
Post by g***@gmail.com
didn't get any thing.
Feature:Proof of concept that my framework works
Scenario:My First Test
Given I naviagted to the zoo website
When I click on adoption link
Then I check to see that no animals are available
@RunWith(Cucumber.class)
@CucumberOptions(
format={"pretty", "json:target/cucumber.json"},
features = {"src/cucumber/features"},
glue ={"stepDefinitions"}
)
public class CucumberRunner {
}
Exception in thread "main" cucumber.runtime.CucumberException: Failed to
instantiate public
cucumber.runtime.java.JavaBackend(cucumber.runtime.io.ResourceLoader)
with
Post by g***@gmail.com
at cucumber.runtime.Reflections.newInstance(Reflections.java:44)
at
cucumber.runtime.Reflections.instantiateSubclasses(Reflections.java:30)
Post by g***@gmail.com
at cucumber.runtime.Runtime.loadBackends(Runtime.java:98)
at cucumber.runtime.Runtime.<init>(Runtime.java:65)
at cucumber.api.cli.Main.run(Main.java:35)
at cucumber.api.cli.Main.main(Main.java:18)
Caused by: java.lang.reflect.InvocationTargetException
at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknown Source)
at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Unknown
Source)
Post by g***@gmail.com
at java.lang.reflect.Constructor.newInstance(Unknown Source)
at cucumber.runtime.Reflections.newInstance(Reflections.java:41)
... 5 more
cucumber.runtime.io.ClasspathResourceLoader.getAnnotations(Ljava/lang/String;)Ljava/util/Collection;
Post by g***@gmail.com
at
cucumber.runtime.java.ClasspathMethodScanner.findCucumberAnnotationClasses(ClasspathMethodScanner.java:75)
Post by g***@gmail.com
at
cucumber.runtime.java.ClasspathMethodScanner.<init>(ClasspathMethodScanner.java:23)
Post by g***@gmail.com
at cucumber.runtime.java.JavaBackend.<init>(JavaBackend.java:30)
... 10 more
Please help me in this.
You are missing a dependency. Or something similar.
Please share how you try to invoke Cucumber. Which dependencies do you have?
Are you able to clone/download
https://github.com/cucumber/cucumber-java-skeleton
and get it working?
Cheers,
Thomas
--
Thomas Sundberg
M. Sc. in Computer Science
Mobile: +46 70 767 33 15
Blog: http://thomassundberg.wordpress.com/
Better software through faster feedback
Join me for a Selenium kickstart in Timisoara, Romania in April.
http://mozaicworks.com/public-trainings-and-workshops/selenium-webdriver-test-automation-for-web-applications/
Interested in a BDD Kickstart in Stockholm?
https://cucumber.io/events/bdd-kickstart-stockholm-16
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google Groups "Cukes" group.
To unsubscribe from this group and stop receiving emails from it, send an email to cukes+***@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Björn Rasmusson
2016-03-26 09:16:42 UTC
Permalink
Post by g***@gmail.com
Hi Thomas,
I am not using the dependency mentioned by you. I have downloaded the
Cucumber dependency from "
http://cucumber.github.com/cucumber-eclipse/update-site".
Hi,

AFAIK the cucumber-eclipse update site does only download the Eclipse
plugin. You also have to download the Cucumber implementation and add it to
your project in Eclipse. See https://cucumber.io/docs/reference/jvm, or
start from https://github.com/cucumber/cucumber-java-skeleton/ as Thomas
suggested.
Post by g***@gmail.com
I am running the feature file as "Cucumber Feature".
Running the feature this way does not use the Runner File you mentioned.
The Runner File would be used if you selected it and used the "Run as JUnit
test" menu.

Regards
Björn
Post by g***@gmail.com
Thanks,
Gaurav Sharma
Post by g***@gmail.com
Post by g***@gmail.com
Hi All,
I am new to cucumber. I am trying to start a project using cucumber.
When I
Post by g***@gmail.com
run the .feature file, I am getting an error. I tried googling the
issue but
Post by g***@gmail.com
didn't get any thing.
Feature:Proof of concept that my framework works
Scenario:My First Test
Given I naviagted to the zoo website
When I click on adoption link
Then I check to see that no animals are available
@RunWith(Cucumber.class)
@CucumberOptions(
format={"pretty", "json:target/cucumber.json"},
features = {"src/cucumber/features"},
glue ={"stepDefinitions"}
)
public class CucumberRunner {
}
Exception in thread "main" cucumber.runtime.CucumberException: Failed
to
Post by g***@gmail.com
instantiate public
cucumber.runtime.java.JavaBackend(cucumber.runtime.io.ResourceLoader)
with
Post by g***@gmail.com
at cucumber.runtime.Reflections.newInstance(Reflections.java:44)
at
cucumber.runtime.Reflections.instantiateSubclasses(Reflections.java:30)
Post by g***@gmail.com
at cucumber.runtime.Runtime.loadBackends(Runtime.java:98)
at cucumber.runtime.Runtime.<init>(Runtime.java:65)
at cucumber.api.cli.Main.run(Main.java:35)
at cucumber.api.cli.Main.main(Main.java:18)
Caused by: java.lang.reflect.InvocationTargetException
at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native
Method)
Post by g***@gmail.com
at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknown
Source)
Post by g***@gmail.com
at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Unknown
Source)
Post by g***@gmail.com
at java.lang.reflect.Constructor.newInstance(Unknown Source)
at cucumber.runtime.Reflections.newInstance(Reflections.java:41)
... 5 more
cucumber.runtime.io.ClasspathResourceLoader.getAnnotations(Ljava/lang/String;)Ljava/util/Collection;
Post by g***@gmail.com
at
cucumber.runtime.java.ClasspathMethodScanner.findCucumberAnnotationClasses(ClasspathMethodScanner.java:75)
Post by g***@gmail.com
at
cucumber.runtime.java.ClasspathMethodScanner.<init>(ClasspathMethodScanner.java:23)
Post by g***@gmail.com
at cucumber.runtime.java.JavaBackend.<init>(JavaBackend.java:30)
... 10 more
Please help me in this.
You are missing a dependency. Or something similar.
Please share how you try to invoke Cucumber. Which dependencies do you have?
Are you able to clone/download
https://github.com/cucumber/cucumber-java-skeleton
and get it working?
Cheers,
Thomas
--
Thomas Sundberg
M. Sc. in Computer Science
Mobile: +46 70 767 33 15
Blog: http://thomassundberg.wordpress.com/
Better software through faster feedback
Join me for a Selenium kickstart in Timisoara, Romania in April.
http://mozaicworks.com/public-trainings-and-workshops/selenium-webdriver-test-automation-for-web-applications/
Interested in a BDD Kickstart in Stockholm?
https://cucumber.io/events/bdd-kickstart-stockholm-16
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google Groups "Cukes" group.
To unsubscribe from this group and stop receiving emails from it, send an email to cukes+***@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Gaurav Sharma
2016-03-29 07:20:11 UTC
Permalink
Hi All,

I tried all the possible ways I could search in google, but it is not
helping me.
Please help me in getting it run.

Your help will be very much appreciated.

Thanks,
Gaurav Sharma
Post by Björn Rasmusson
Post by g***@gmail.com
Hi Thomas,
I am not using the dependency mentioned by you. I have downloaded the
Cucumber dependency from
"http://cucumber.github.com/cucumber-eclipse/update-site".
Hi,
AFAIK the cucumber-eclipse update site does only download the Eclipse
plugin. You also have to download the Cucumber implementation and add it to
your project in Eclipse. See https://cucumber.io/docs/reference/jvm, or
start from https://github.com/cucumber/cucumber-java-skeleton/ as Thomas
suggested.
Post by g***@gmail.com
I am running the feature file as "Cucumber Feature".
Running the feature this way does not use the Runner File you mentioned. The
Runner File would be used if you selected it and used the "Run as JUnit
test" menu.
Regards
Björn
Post by g***@gmail.com
Thanks,
Gaurav Sharma
Post by Thomas Sundberg
Post by g***@gmail.com
Hi All,
I am new to cucumber. I am trying to start a project using cucumber. When I
run the .feature file, I am getting an error. I tried googling the issue but
didn't get any thing.
Feature:Proof of concept that my framework works
Scenario:My First Test
Given I naviagted to the zoo website
When I click on adoption link
Then I check to see that no animals are available
@RunWith(Cucumber.class)
@CucumberOptions(
format={"pretty", "json:target/cucumber.json"},
features = {"src/cucumber/features"},
glue ={"stepDefinitions"}
)
public class CucumberRunner {
}
Exception in thread "main" cucumber.runtime.CucumberException: Failed to
instantiate public
cucumber.runtime.java.JavaBackend(cucumber.runtime.io.ResourceLoader) with
at cucumber.runtime.Reflections.newInstance(Reflections.java:44)
at
cucumber.runtime.Reflections.instantiateSubclasses(Reflections.java:30)
at cucumber.runtime.Runtime.loadBackends(Runtime.java:98)
at cucumber.runtime.Runtime.<init>(Runtime.java:65)
at cucumber.api.cli.Main.run(Main.java:35)
at cucumber.api.cli.Main.main(Main.java:18)
Caused by: java.lang.reflect.InvocationTargetException
at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknown Source)
at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Unknown Source)
at java.lang.reflect.Constructor.newInstance(Unknown Source)
at cucumber.runtime.Reflections.newInstance(Reflections.java:41)
... 5 more
cucumber.runtime.io.ClasspathResourceLoader.getAnnotations(Ljava/lang/String;)Ljava/util/Collection;
at
cucumber.runtime.java.ClasspathMethodScanner.findCucumberAnnotationClasses(ClasspathMethodScanner.java:75)
at
cucumber.runtime.java.ClasspathMethodScanner.<init>(ClasspathMethodScanner.java:23)
at cucumber.runtime.java.JavaBackend.<init>(JavaBackend.java:30)
... 10 more
Please help me in this.
You are missing a dependency. Or something similar.
Please share how you try to invoke Cucumber. Which dependencies do you have?
Are you able to clone/download
https://github.com/cucumber/cucumber-java-skeleton
and get it working?
Cheers,
Thomas
--
Thomas Sundberg
M. Sc. in Computer Science
Mobile: +46 70 767 33 15
Blog: http://thomassundberg.wordpress.com/
Better software through faster feedback
Join me for a Selenium kickstart in Timisoara, Romania in April.
http://mozaicworks.com/public-trainings-and-workshops/selenium-webdriver-test-automation-for-web-applications/
Interested in a BDD Kickstart in Stockholm?
https://cucumber.io/events/bdd-kickstart-stockholm-16
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the
Google Groups "Cukes" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
To unsubscribe from this group and all its topics, send an email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google Groups "Cukes" group.
To unsubscribe from this group and stop receiving emails from it, send an email to cukes+***@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Roberto Lo Giacco
2016-03-29 15:03:40 UTC
Permalink
Post by g***@gmail.com
Hi All,
I tried all the possible ways I could search in google, but it is not
helping me.
Please help me in getting it run.
Your help will be very much appreciated.
Have you ever used Eclipse before or is this your very first time with Java?

Do you know or have you ever used Maven? If yes, then add the cucumber-java
dependency to your POM.

Do you know how to add a dependency to an Eclipse project? If so add the
cucumber-java dependency to your Eclipse project.

A good starting point would be https://cucumber.io/docs/reference/jvm#java,
3rd result querying Google for "cucumber java startup"
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google Groups "Cukes" group.
To unsubscribe from this group and stop receiving emails from it, send an email to cukes+***@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Gaurav Sharma
2016-03-30 05:44:15 UTC
Permalink
Hi,

I am using Eclipse since last 3 years. I have extensively used it for
Selenium. Now I want to start with cucumber.
I am aware of maven n adding the dependency. I am doing it in my
office and due to firewall and other security reasons I am not able to
download maven plugin. That is why I am doing with normal project with
the help of jar files.

I have added all the jars but still getting the error. Not sure about
the error, so seeking for a help.

Thanks,
Gaurav Sharma
Post by Roberto Lo Giacco
Post by g***@gmail.com
Hi All,
I tried all the possible ways I could search in google, but it is not
helping me.
Please help me in getting it run.
Your help will be very much appreciated.
Have you ever used Eclipse before or is this your very first time with Java?
Do you know or have you ever used Maven? If yes, then add the cucumber-java
dependency to your POM.
Do you know how to add a dependency to an Eclipse project? If so add the
cucumber-java dependency to your Eclipse project.
A good starting point would be https://cucumber.io/docs/reference/jvm#java,
3rd result querying Google for "cucumber java startup"
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the
Google Groups "Cukes" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
To unsubscribe from this group and all its topics, send an email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google Groups "Cukes" group.
To unsubscribe from this group and stop receiving emails from it, send an email to cukes+***@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Björn Rasmusson
2016-03-30 06:02:51 UTC
Permalink
Post by Gaurav Sharma
Hi,
I am using Eclipse since last 3 years. I have extensively used it for
Selenium. Now I want to start with cucumber.
I am aware of maven n adding the dependency. I am doing it in my
office and due to firewall and other security reasons I am not able to
download maven plugin. That is why I am doing with normal project with
the help of jar files.
I have added all the jars but still getting the error.
Which jar files do you mean with "all the jars"?

/Björn
Post by Gaurav Sharma
Not sure about
the error, so seeking for a help.
Thanks,
Gaurav Sharma
Il giorno martedì 29 marzo 2016 09:20:17 UTC+2, Gaurav Sharma ha
Post by g***@gmail.com
Hi All,
I tried all the possible ways I could search in google, but it is not
helping me.
Please help me in getting it run.
Your help will be very much appreciated.
Have you ever used Eclipse before or is this your very first time with
Java?
Do you know or have you ever used Maven? If yes, then add the
cucumber-java
dependency to your POM.
Do you know how to add a dependency to an Eclipse project? If so add the
cucumber-java dependency to your Eclipse project.
A good starting point would be
https://cucumber.io/docs/reference/jvm#java,
3rd result querying Google for "cucumber java startup"
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the
Google Groups "Cukes" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
To unsubscribe from this group and all its topics, send an email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google Groups "Cukes" group.
To unsubscribe from this group and stop receiving emails from it, send an email to cukes+***@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Gaurav Sharma
2016-03-30 06:10:34 UTC
Permalink
Below are the jars :

1. cucumber-core-1.1.5
2. cucumber-html-0.2.3
3. cucumber-java-1.1.5
4. cucumber-junit-1.1.5
5. cucumber-jvm-deps-1.0.3
6. hamcrest-all-1.3
7. junit-4.11
8. selenium-server-standalone-2.42.0
9. gherkin-2.12.1

I have even used the latest jars, but error is same.

Error :

Usage: java cucumber.api.cli.Main [options] [ [FILE|DIR][:LINE[:LINE]*] ]+

Options:

-g, --glue PATH Where glue code (step
definitions and hooks) is loaded from.
-f, --format FORMAT[:PATH_OR_URL] How to format results. Goes to
STDOUT unless PATH_OR_URL is specified.
Built-in FORMAT types: junit,
html, pretty, progress, json.
FORMAT can also be a fully
qualified class name.
-t, --tags TAG_EXPRESSION Only run scenarios tagged with
tags matching TAG_EXPRESSION.
-n, --name REGEXP Only run scenarios whose names
match REGEXP.
-d, --[no-]-dry-run Skip execution of glue code.
-m, --[no-]-monochrome Don't colour terminal output.
-s, --[no-]-strict Treat undefined and pending
steps as errors.
--snippets Snippet name: underscore, camelcase
--dotcucumber PATH_OR_URL Where to write out runtime
information. PATH_OR_URL can be a file system
path or a URL.
-v, --version Print version.
-h, --help You're looking at it.

Exception in thread "main" cucumber.runtime.CucumberException: Unknown
option: --plugin
at cucumber.runtime.RuntimeOptions.parse(RuntimeOptions.java:119)
at cucumber.runtime.RuntimeOptions.<init>(RuntimeOptions.java:50)
at cucumber.runtime.RuntimeOptions.<init>(RuntimeOptions.java:44)
at cucumber.api.cli.Main.run(Main.java:20)
at cucumber.api.cli.Main.main(Main.java:16)


Feature File :
Feature: Title of your feature

Scenario: Title of your scenario
Given I naviagted to the zoo website
When I click on adoption link
Then I check to see that no animals are available

I am running it as a "Cucumber Feature".

On Wed, Mar 30, 2016 at 11:32 AM, Björn Rasmusson
Post by Björn Rasmusson
Post by Gaurav Sharma
Hi,
I am using Eclipse since last 3 years. I have extensively used it for
Selenium. Now I want to start with cucumber.
I am aware of maven n adding the dependency. I am doing it in my
office and due to firewall and other security reasons I am not able to
download maven plugin. That is why I am doing with normal project with
the help of jar files.
I have added all the jars but still getting the error.
Which jar files do you mean with "all the jars"?
/Björn
Post by Gaurav Sharma
Not sure about
the error, so seeking for a help.
Thanks,
Gaurav Sharma
Post by Roberto Lo Giacco
Post by g***@gmail.com
Hi All,
I tried all the possible ways I could search in google, but it is not
helping me.
Please help me in getting it run.
Your help will be very much appreciated.
Have you ever used Eclipse before or is this your very first time with Java?
Do you know or have you ever used Maven? If yes, then add the cucumber-java
dependency to your POM.
Do you know how to add a dependency to an Eclipse project? If so add the
cucumber-java dependency to your Eclipse project.
A good starting point would be
https://cucumber.io/docs/reference/jvm#java,
3rd result querying Google for "cucumber java startup"
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the
Google Groups "Cukes" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
To unsubscribe from this group and all its topics, send an email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the
Google Groups "Cukes" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
To unsubscribe from this group and all its topics, send an email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google Groups "Cukes" group.
To unsubscribe from this group and stop receiving emails from it, send an email to cukes+***@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Paolo Ambrosio
2016-03-30 06:17:52 UTC
Permalink
Post by Gaurav Sharma
1. cucumber-core-1.1.5
2. cucumber-html-0.2.3
3. cucumber-java-1.1.5
4. cucumber-junit-1.1.5
5. cucumber-jvm-deps-1.0.3
6. hamcrest-all-1.3
7. junit-4.11
8. selenium-server-standalone-2.42.0
9. gherkin-2.12.1
I have even used the latest jars, but error is same.
Can you give us a jar list of when you are using it with the latest jars?

Mustafa must be a colleague of yours since you are having the same
problem using exactly the same library versions. He never replied to
"you
forgot to upgrade gherkin to 2.12.2 and cucumber-jvm-deps to 1.0.5"
when he upgraded to the latest Cucumber-JVM.
Post by Gaurav Sharma
Usage: java cucumber.api.cli.Main [options] [ [FILE|DIR][:LINE[:LINE]*] ]+
-g, --glue PATH Where glue code (step
definitions and hooks) is loaded from.
-f, --format FORMAT[:PATH_OR_URL] How to format results. Goes to
STDOUT unless PATH_OR_URL is specified.
Built-in FORMAT types: junit,
html, pretty, progress, json.
FORMAT can also be a fully
qualified class name.
-t, --tags TAG_EXPRESSION Only run scenarios tagged with
tags matching TAG_EXPRESSION.
-n, --name REGEXP Only run scenarios whose names
match REGEXP.
-d, --[no-]-dry-run Skip execution of glue code.
-m, --[no-]-monochrome Don't colour terminal output.
-s, --[no-]-strict Treat undefined and pending
steps as errors.
--snippets Snippet name: underscore, camelcase
--dotcucumber PATH_OR_URL Where to write out runtime
information. PATH_OR_URL can be a file system
path or a URL.
-v, --version Print version.
-h, --help You're looking at it.
Exception in thread "main" cucumber.runtime.CucumberException: Unknown
option: --plugin
at cucumber.runtime.RuntimeOptions.parse(RuntimeOptions.java:119)
at cucumber.runtime.RuntimeOptions.<init>(RuntimeOptions.java:50)
at cucumber.runtime.RuntimeOptions.<init>(RuntimeOptions.java:44)
at cucumber.api.cli.Main.run(Main.java:20)
at cucumber.api.cli.Main.main(Main.java:16)
Feature: Title of your feature
Scenario: Title of your scenario
Given I naviagted to the zoo website
When I click on adoption link
Then I check to see that no animals are available
I am running it as a "Cucumber Feature".
On Wed, Mar 30, 2016 at 11:32 AM, Björn Rasmusson
Post by Björn Rasmusson
Post by Gaurav Sharma
Hi,
I am using Eclipse since last 3 years. I have extensively used it for
Selenium. Now I want to start with cucumber.
I am aware of maven n adding the dependency. I am doing it in my
office and due to firewall and other security reasons I am not able to
download maven plugin. That is why I am doing with normal project with
the help of jar files.
I have added all the jars but still getting the error.
Which jar files do you mean with "all the jars"?
/Björn
Post by Gaurav Sharma
Not sure about
the error, so seeking for a help.
Thanks,
Gaurav Sharma
Post by Roberto Lo Giacco
Post by g***@gmail.com
Hi All,
I tried all the possible ways I could search in google, but it is not
helping me.
Please help me in getting it run.
Your help will be very much appreciated.
Have you ever used Eclipse before or is this your very first time with Java?
Do you know or have you ever used Maven? If yes, then add the cucumber-java
dependency to your POM.
Do you know how to add a dependency to an Eclipse project? If so add the
cucumber-java dependency to your Eclipse project.
A good starting point would be
https://cucumber.io/docs/reference/jvm#java,
3rd result querying Google for "cucumber java startup"
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the
Google Groups "Cukes" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
To unsubscribe from this group and all its topics, send an email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the
Google Groups "Cukes" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
To unsubscribe from this group and all its topics, send an email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google Groups "Cukes" group.
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google Groups "Cukes" group.
To unsubscribe from this group and stop receiving emails from it, send an email to cukes+***@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Gaurav Sharma
2016-03-30 06:28:23 UTC
Permalink
I was following a video on youtube to start with cucumber, he must be
using the same video. Rest I do not know about him.

latest Jars :

1. cucumber-core-1.2.4
2. cucumber-html-0.2.3
3. cucumber-java-1.1.3
4. cucumber-junit-1.2.4
5. cucumber-jvm-deps-1.0.5
6. gherkin-2.9.3
7. hamcrest-all-1.1
8. junit-4.12
9. selenium-server-standalone-2.53.0
Post by Paolo Ambrosio
Post by Gaurav Sharma
1. cucumber-core-1.1.5
2. cucumber-html-0.2.3
3. cucumber-java-1.1.5
4. cucumber-junit-1.1.5
5. cucumber-jvm-deps-1.0.3
6. hamcrest-all-1.3
7. junit-4.11
8. selenium-server-standalone-2.42.0
9. gherkin-2.12.1
I have even used the latest jars, but error is same.
Can you give us a jar list of when you are using it with the latest jars?
Mustafa must be a colleague of yours since you are having the same
problem using exactly the same library versions. He never replied to
"you
forgot to upgrade gherkin to 2.12.2 and cucumber-jvm-deps to 1.0.5"
when he upgraded to the latest Cucumber-JVM.
Post by Gaurav Sharma
Usage: java cucumber.api.cli.Main [options] [ [FILE|DIR][:LINE[:LINE]*] ]+
-g, --glue PATH Where glue code (step
definitions and hooks) is loaded from.
-f, --format FORMAT[:PATH_OR_URL] How to format results. Goes to
STDOUT unless PATH_OR_URL is specified.
Built-in FORMAT types: junit,
html, pretty, progress, json.
FORMAT can also be a fully
qualified class name.
-t, --tags TAG_EXPRESSION Only run scenarios tagged with
tags matching TAG_EXPRESSION.
-n, --name REGEXP Only run scenarios whose names
match REGEXP.
-d, --[no-]-dry-run Skip execution of glue code.
-m, --[no-]-monochrome Don't colour terminal output.
-s, --[no-]-strict Treat undefined and pending
steps as errors.
--snippets Snippet name: underscore, camelcase
--dotcucumber PATH_OR_URL Where to write out runtime
information. PATH_OR_URL can be a file system
path or a URL.
-v, --version Print version.
-h, --help You're looking at it.
Exception in thread "main" cucumber.runtime.CucumberException: Unknown
option: --plugin
at cucumber.runtime.RuntimeOptions.parse(RuntimeOptions.java:119)
at cucumber.runtime.RuntimeOptions.<init>(RuntimeOptions.java:50)
at cucumber.runtime.RuntimeOptions.<init>(RuntimeOptions.java:44)
at cucumber.api.cli.Main.run(Main.java:20)
at cucumber.api.cli.Main.main(Main.java:16)
Feature: Title of your feature
Scenario: Title of your scenario
Given I naviagted to the zoo website
When I click on adoption link
Then I check to see that no animals are available
I am running it as a "Cucumber Feature".
On Wed, Mar 30, 2016 at 11:32 AM, Björn Rasmusson
Post by Björn Rasmusson
Post by Gaurav Sharma
Hi,
I am using Eclipse since last 3 years. I have extensively used it for
Selenium. Now I want to start with cucumber.
I am aware of maven n adding the dependency. I am doing it in my
office and due to firewall and other security reasons I am not able to
download maven plugin. That is why I am doing with normal project with
the help of jar files.
I have added all the jars but still getting the error.
Which jar files do you mean with "all the jars"?
/Björn
Post by Gaurav Sharma
Not sure about
the error, so seeking for a help.
Thanks,
Gaurav Sharma
Post by Roberto Lo Giacco
Post by g***@gmail.com
Hi All,
I tried all the possible ways I could search in google, but it is not
helping me.
Please help me in getting it run.
Your help will be very much appreciated.
Have you ever used Eclipse before or is this your very first time with Java?
Do you know or have you ever used Maven? If yes, then add the cucumber-java
dependency to your POM.
Do you know how to add a dependency to an Eclipse project? If so add the
cucumber-java dependency to your Eclipse project.
A good starting point would be
https://cucumber.io/docs/reference/jvm#java,
3rd result querying Google for "cucumber java startup"
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the
Google Groups "Cukes" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
To unsubscribe from this group and all its topics, send an email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the
Google Groups "Cukes" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
To unsubscribe from this group and all its topics, send an email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google Groups "Cukes" group.
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the Google Groups "Cukes" group.
To unsubscribe from this topic, visit https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google Groups "Cukes" group.
To unsubscribe from this group and stop receiving emails from it, send an email to cukes+***@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Paolo Ambrosio
2016-03-30 07:15:44 UTC
Permalink
Post by Gaurav Sharma
I was following a video on youtube to start with cucumber, he must be
using the same video. Rest I do not know about him.
1. cucumber-core-1.2.4
2. cucumber-html-0.2.3
3. cucumber-java-1.1.3
4. cucumber-junit-1.2.4
5. cucumber-jvm-deps-1.0.5
6. gherkin-2.9.3
7. hamcrest-all-1.1
8. junit-4.12
9. selenium-server-standalone-2.53.0
Good. You should be able to spot discrepancies in the Cucumber jar
versions, as well as with what I quoted in my pervious reply :-)
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
1. cucumber-core-1.1.5
2. cucumber-html-0.2.3
3. cucumber-java-1.1.5
4. cucumber-junit-1.1.5
5. cucumber-jvm-deps-1.0.3
6. hamcrest-all-1.3
7. junit-4.11
8. selenium-server-standalone-2.42.0
9. gherkin-2.12.1
I have even used the latest jars, but error is same.
Can you give us a jar list of when you are using it with the latest jars?
Mustafa must be a colleague of yours since you are having the same
problem using exactly the same library versions. He never replied to
"you
forgot to upgrade gherkin to 2.12.2 and cucumber-jvm-deps to 1.0.5"
when he upgraded to the latest Cucumber-JVM.
Post by Gaurav Sharma
Usage: java cucumber.api.cli.Main [options] [ [FILE|DIR][:LINE[:LINE]*] ]+
-g, --glue PATH Where glue code (step
definitions and hooks) is loaded from.
-f, --format FORMAT[:PATH_OR_URL] How to format results. Goes to
STDOUT unless PATH_OR_URL is specified.
Built-in FORMAT types: junit,
html, pretty, progress, json.
FORMAT can also be a fully
qualified class name.
-t, --tags TAG_EXPRESSION Only run scenarios tagged with
tags matching TAG_EXPRESSION.
-n, --name REGEXP Only run scenarios whose names
match REGEXP.
-d, --[no-]-dry-run Skip execution of glue code.
-m, --[no-]-monochrome Don't colour terminal output.
-s, --[no-]-strict Treat undefined and pending
steps as errors.
--snippets Snippet name: underscore, camelcase
--dotcucumber PATH_OR_URL Where to write out runtime
information. PATH_OR_URL can be a file system
path or a URL.
-v, --version Print version.
-h, --help You're looking at it.
Exception in thread "main" cucumber.runtime.CucumberException: Unknown
option: --plugin
at cucumber.runtime.RuntimeOptions.parse(RuntimeOptions.java:119)
at cucumber.runtime.RuntimeOptions.<init>(RuntimeOptions.java:50)
at cucumber.runtime.RuntimeOptions.<init>(RuntimeOptions.java:44)
at cucumber.api.cli.Main.run(Main.java:20)
at cucumber.api.cli.Main.main(Main.java:16)
Feature: Title of your feature
Scenario: Title of your scenario
Given I naviagted to the zoo website
When I click on adoption link
Then I check to see that no animals are available
I am running it as a "Cucumber Feature".
On Wed, Mar 30, 2016 at 11:32 AM, Björn Rasmusson
Post by Björn Rasmusson
Post by Gaurav Sharma
Hi,
I am using Eclipse since last 3 years. I have extensively used it for
Selenium. Now I want to start with cucumber.
I am aware of maven n adding the dependency. I am doing it in my
office and due to firewall and other security reasons I am not able to
download maven plugin. That is why I am doing with normal project with
the help of jar files.
I have added all the jars but still getting the error.
Which jar files do you mean with "all the jars"?
/Björn
Post by Gaurav Sharma
Not sure about
the error, so seeking for a help.
Thanks,
Gaurav Sharma
Post by Roberto Lo Giacco
Post by g***@gmail.com
Hi All,
I tried all the possible ways I could search in google, but it is not
helping me.
Please help me in getting it run.
Your help will be very much appreciated.
Have you ever used Eclipse before or is this your very first time with Java?
Do you know or have you ever used Maven? If yes, then add the cucumber-java
dependency to your POM.
Do you know how to add a dependency to an Eclipse project? If so add the
cucumber-java dependency to your Eclipse project.
A good starting point would be
https://cucumber.io/docs/reference/jvm#java,
3rd result querying Google for "cucumber java startup"
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the
Google Groups "Cukes" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
To unsubscribe from this group and all its topics, send an email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the
Google Groups "Cukes" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
To unsubscribe from this group and all its topics, send an email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google Groups "Cukes" group.
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the Google Groups "Cukes" group.
To unsubscribe from this topic, visit https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google Groups "Cukes" group.
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google Groups "Cukes" group.
To unsubscribe from this group and stop receiving emails from it, send an email to cukes+***@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Gaurav Sharma
2016-03-30 10:10:00 UTC
Permalink
I used that version of gherkin also, but same result :)
Post by Paolo Ambrosio
Post by Gaurav Sharma
I was following a video on youtube to start with cucumber, he must be
using the same video. Rest I do not know about him.
1. cucumber-core-1.2.4
2. cucumber-html-0.2.3
3. cucumber-java-1.1.3
4. cucumber-junit-1.2.4
5. cucumber-jvm-deps-1.0.5
6. gherkin-2.9.3
7. hamcrest-all-1.1
8. junit-4.12
9. selenium-server-standalone-2.53.0
Good. You should be able to spot discrepancies in the Cucumber jar
versions, as well as with what I quoted in my pervious reply :-)
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
1. cucumber-core-1.1.5
2. cucumber-html-0.2.3
3. cucumber-java-1.1.5
4. cucumber-junit-1.1.5
5. cucumber-jvm-deps-1.0.3
6. hamcrest-all-1.3
7. junit-4.11
8. selenium-server-standalone-2.42.0
9. gherkin-2.12.1
I have even used the latest jars, but error is same.
Can you give us a jar list of when you are using it with the latest jars?
Mustafa must be a colleague of yours since you are having the same
problem using exactly the same library versions. He never replied to
"you
forgot to upgrade gherkin to 2.12.2 and cucumber-jvm-deps to 1.0.5"
when he upgraded to the latest Cucumber-JVM.
Post by Gaurav Sharma
Usage: java cucumber.api.cli.Main [options] [ [FILE|DIR][:LINE[:LINE]*] ]+
-g, --glue PATH Where glue code (step
definitions and hooks) is loaded from.
-f, --format FORMAT[:PATH_OR_URL] How to format results. Goes to
STDOUT unless PATH_OR_URL is specified.
Built-in FORMAT types: junit,
html, pretty, progress, json.
FORMAT can also be a fully
qualified class name.
-t, --tags TAG_EXPRESSION Only run scenarios tagged with
tags matching TAG_EXPRESSION.
-n, --name REGEXP Only run scenarios whose names
match REGEXP.
-d, --[no-]-dry-run Skip execution of glue code.
-m, --[no-]-monochrome Don't colour terminal output.
-s, --[no-]-strict Treat undefined and pending
steps as errors.
--snippets Snippet name: underscore, camelcase
--dotcucumber PATH_OR_URL Where to write out runtime
information. PATH_OR_URL can be a file system
path or a URL.
-v, --version Print version.
-h, --help You're looking at it.
Exception in thread "main" cucumber.runtime.CucumberException: Unknown
option: --plugin
at cucumber.runtime.RuntimeOptions.parse(RuntimeOptions.java:119)
at cucumber.runtime.RuntimeOptions.<init>(RuntimeOptions.java:50)
at cucumber.runtime.RuntimeOptions.<init>(RuntimeOptions.java:44)
at cucumber.api.cli.Main.run(Main.java:20)
at cucumber.api.cli.Main.main(Main.java:16)
Feature: Title of your feature
Scenario: Title of your scenario
Given I naviagted to the zoo website
When I click on adoption link
Then I check to see that no animals are available
I am running it as a "Cucumber Feature".
On Wed, Mar 30, 2016 at 11:32 AM, Björn Rasmusson
Post by Björn Rasmusson
Post by Gaurav Sharma
Hi,
I am using Eclipse since last 3 years. I have extensively used it for
Selenium. Now I want to start with cucumber.
I am aware of maven n adding the dependency. I am doing it in my
office and due to firewall and other security reasons I am not able to
download maven plugin. That is why I am doing with normal project with
the help of jar files.
I have added all the jars but still getting the error.
Which jar files do you mean with "all the jars"?
/Björn
Post by Gaurav Sharma
Not sure about
the error, so seeking for a help.
Thanks,
Gaurav Sharma
Post by Roberto Lo Giacco
Post by g***@gmail.com
Hi All,
I tried all the possible ways I could search in google, but it is not
helping me.
Please help me in getting it run.
Your help will be very much appreciated.
Have you ever used Eclipse before or is this your very first time with Java?
Do you know or have you ever used Maven? If yes, then add the cucumber-java
dependency to your POM.
Do you know how to add a dependency to an Eclipse project? If so add the
cucumber-java dependency to your Eclipse project.
A good starting point would be
https://cucumber.io/docs/reference/jvm#java,
3rd result querying Google for "cucumber java startup"
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the
Google Groups "Cukes" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
To unsubscribe from this group and all its topics, send an email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the
Google Groups "Cukes" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
To unsubscribe from this group and all its topics, send an email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google Groups "Cukes" group.
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the Google Groups "Cukes" group.
To unsubscribe from this topic, visit https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google Groups "Cukes" group.
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the Google Groups "Cukes" group.
To unsubscribe from this topic, visit https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google Groups "Cukes" group.
To unsubscribe from this group and stop receiving emails from it, send an email to cukes+***@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Paolo Ambrosio
2016-03-30 11:31:27 UTC
Permalink
Post by Gaurav Sharma
I used that version of gherkin also, but same result :)
...and what version of cucumber-java?
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
I was following a video on youtube to start with cucumber, he must be
using the same video. Rest I do not know about him.
1. cucumber-core-1.2.4
2. cucumber-html-0.2.3
3. cucumber-java-1.1.3
4. cucumber-junit-1.2.4
5. cucumber-jvm-deps-1.0.5
6. gherkin-2.9.3
7. hamcrest-all-1.1
8. junit-4.12
9. selenium-server-standalone-2.53.0
Good. You should be able to spot discrepancies in the Cucumber jar
versions, as well as with what I quoted in my pervious reply :-)
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
1. cucumber-core-1.1.5
2. cucumber-html-0.2.3
3. cucumber-java-1.1.5
4. cucumber-junit-1.1.5
5. cucumber-jvm-deps-1.0.3
6. hamcrest-all-1.3
7. junit-4.11
8. selenium-server-standalone-2.42.0
9. gherkin-2.12.1
I have even used the latest jars, but error is same.
Can you give us a jar list of when you are using it with the latest jars?
Mustafa must be a colleague of yours since you are having the same
problem using exactly the same library versions. He never replied to
"you
forgot to upgrade gherkin to 2.12.2 and cucumber-jvm-deps to 1.0.5"
when he upgraded to the latest Cucumber-JVM.
Post by Gaurav Sharma
Usage: java cucumber.api.cli.Main [options] [ [FILE|DIR][:LINE[:LINE]*] ]+
-g, --glue PATH Where glue code (step
definitions and hooks) is loaded from.
-f, --format FORMAT[:PATH_OR_URL] How to format results. Goes to
STDOUT unless PATH_OR_URL is specified.
Built-in FORMAT types: junit,
html, pretty, progress, json.
FORMAT can also be a fully
qualified class name.
-t, --tags TAG_EXPRESSION Only run scenarios tagged with
tags matching TAG_EXPRESSION.
-n, --name REGEXP Only run scenarios whose names
match REGEXP.
-d, --[no-]-dry-run Skip execution of glue code.
-m, --[no-]-monochrome Don't colour terminal output.
-s, --[no-]-strict Treat undefined and pending
steps as errors.
--snippets Snippet name: underscore, camelcase
--dotcucumber PATH_OR_URL Where to write out runtime
information. PATH_OR_URL can be a file system
path or a URL.
-v, --version Print version.
-h, --help You're looking at it.
Exception in thread "main" cucumber.runtime.CucumberException: Unknown
option: --plugin
at cucumber.runtime.RuntimeOptions.parse(RuntimeOptions.java:119)
at cucumber.runtime.RuntimeOptions.<init>(RuntimeOptions.java:50)
at cucumber.runtime.RuntimeOptions.<init>(RuntimeOptions.java:44)
at cucumber.api.cli.Main.run(Main.java:20)
at cucumber.api.cli.Main.main(Main.java:16)
Feature: Title of your feature
Scenario: Title of your scenario
Given I naviagted to the zoo website
When I click on adoption link
Then I check to see that no animals are available
I am running it as a "Cucumber Feature".
On Wed, Mar 30, 2016 at 11:32 AM, Björn Rasmusson
Post by Björn Rasmusson
Post by Gaurav Sharma
Hi,
I am using Eclipse since last 3 years. I have extensively used it for
Selenium. Now I want to start with cucumber.
I am aware of maven n adding the dependency. I am doing it in my
office and due to firewall and other security reasons I am not able to
download maven plugin. That is why I am doing with normal project with
the help of jar files.
I have added all the jars but still getting the error.
Which jar files do you mean with "all the jars"?
/Björn
Post by Gaurav Sharma
Not sure about
the error, so seeking for a help.
Thanks,
Gaurav Sharma
Post by Roberto Lo Giacco
Post by g***@gmail.com
Hi All,
I tried all the possible ways I could search in google, but it is not
helping me.
Please help me in getting it run.
Your help will be very much appreciated.
Have you ever used Eclipse before or is this your very first time with
Java?
Do you know or have you ever used Maven? If yes, then add the cucumber-java
dependency to your POM.
Do you know how to add a dependency to an Eclipse project? If so add the
cucumber-java dependency to your Eclipse project.
A good starting point would be
https://cucumber.io/docs/reference/jvm#java,
3rd result querying Google for "cucumber java startup"
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the
Google Groups "Cukes" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
To unsubscribe from this group and all its topics, send an email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the
Google Groups "Cukes" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
To unsubscribe from this group and all its topics, send an email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google Groups "Cukes" group.
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the Google Groups "Cukes" group.
To unsubscribe from this topic, visit https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google Groups "Cukes" group.
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the Google Groups "Cukes" group.
To unsubscribe from this topic, visit https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google Groups "Cukes" group.
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google Groups "Cukes" group.
To unsubscribe from this group and stop receiving emails from it, send an email to cukes+***@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Gaurav Sharma
2016-03-30 12:33:41 UTC
Permalink
I have used both old and new versions :

Old :
1. cucumber-core-1.1.5
2. cucumber-html-0.2.3
3. cucumber-java-1.1.5
4. cucumber-junit-1.1.5
5. cucumber-jvm-deps-1.0.3
6. hamcrest-all-1.3
7. junit-4.11
8. selenium-server-standalone-2.42.0
9. gherkin-2.12.1

New :

1. cucumber-core-1.2.4
2. cucumber-html-0.2.3
3. cucumber-java-1.1.3
4. cucumber-junit-1.2.4
5. cucumber-jvm-deps-1.0.5
6. gherkin-2.9.3
7. hamcrest-all-1.1
8. junit-4.12
9. selenium-server-standalone-2.53.0
Post by Paolo Ambrosio
Post by Gaurav Sharma
I used that version of gherkin also, but same result :)
...and what version of cucumber-java?
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
I was following a video on youtube to start with cucumber, he must be
using the same video. Rest I do not know about him.
1. cucumber-core-1.2.4
2. cucumber-html-0.2.3
3. cucumber-java-1.1.3
4. cucumber-junit-1.2.4
5. cucumber-jvm-deps-1.0.5
6. gherkin-2.9.3
7. hamcrest-all-1.1
8. junit-4.12
9. selenium-server-standalone-2.53.0
Good. You should be able to spot discrepancies in the Cucumber jar
versions, as well as with what I quoted in my pervious reply :-)
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
1. cucumber-core-1.1.5
2. cucumber-html-0.2.3
3. cucumber-java-1.1.5
4. cucumber-junit-1.1.5
5. cucumber-jvm-deps-1.0.3
6. hamcrest-all-1.3
7. junit-4.11
8. selenium-server-standalone-2.42.0
9. gherkin-2.12.1
I have even used the latest jars, but error is same.
Can you give us a jar list of when you are using it with the latest jars?
Mustafa must be a colleague of yours since you are having the same
problem using exactly the same library versions. He never replied to
"you
forgot to upgrade gherkin to 2.12.2 and cucumber-jvm-deps to 1.0.5"
when he upgraded to the latest Cucumber-JVM.
Post by Gaurav Sharma
Usage: java cucumber.api.cli.Main [options] [ [FILE|DIR][:LINE[:LINE]*] ]+
-g, --glue PATH Where glue code (step
definitions and hooks) is loaded from.
-f, --format FORMAT[:PATH_OR_URL] How to format results. Goes to
STDOUT unless PATH_OR_URL is specified.
Built-in FORMAT types: junit,
html, pretty, progress, json.
FORMAT can also be a fully
qualified class name.
-t, --tags TAG_EXPRESSION Only run scenarios tagged with
tags matching TAG_EXPRESSION.
-n, --name REGEXP Only run scenarios whose names
match REGEXP.
-d, --[no-]-dry-run Skip execution of glue code.
-m, --[no-]-monochrome Don't colour terminal output.
-s, --[no-]-strict Treat undefined and pending
steps as errors.
--snippets Snippet name: underscore, camelcase
--dotcucumber PATH_OR_URL Where to write out runtime
information. PATH_OR_URL can be a file system
path or a URL.
-v, --version Print version.
-h, --help You're looking at it.
Exception in thread "main" cucumber.runtime.CucumberException: Unknown
option: --plugin
at cucumber.runtime.RuntimeOptions.parse(RuntimeOptions.java:119)
at cucumber.runtime.RuntimeOptions.<init>(RuntimeOptions.java:50)
at cucumber.runtime.RuntimeOptions.<init>(RuntimeOptions.java:44)
at cucumber.api.cli.Main.run(Main.java:20)
at cucumber.api.cli.Main.main(Main.java:16)
Feature: Title of your feature
Scenario: Title of your scenario
Given I naviagted to the zoo website
When I click on adoption link
Then I check to see that no animals are available
I am running it as a "Cucumber Feature".
On Wed, Mar 30, 2016 at 11:32 AM, Björn Rasmusson
Post by Björn Rasmusson
Post by Gaurav Sharma
Hi,
I am using Eclipse since last 3 years. I have extensively used it for
Selenium. Now I want to start with cucumber.
I am aware of maven n adding the dependency. I am doing it in my
office and due to firewall and other security reasons I am not able to
download maven plugin. That is why I am doing with normal project with
the help of jar files.
I have added all the jars but still getting the error.
Which jar files do you mean with "all the jars"?
/Björn
Post by Gaurav Sharma
Not sure about
the error, so seeking for a help.
Thanks,
Gaurav Sharma
Il giorno martedì 29 marzo 2016 09:20:17 UTC+2, Gaurav Sharma ha
Post by g***@gmail.com
Hi All,
I tried all the possible ways I could search in google, but it is not
helping me.
Please help me in getting it run.
Your help will be very much appreciated.
Have you ever used Eclipse before or is this your very first time with
Java?
Do you know or have you ever used Maven? If yes, then add the
cucumber-java
dependency to your POM.
Do you know how to add a dependency to an Eclipse project? If so add the
cucumber-java dependency to your Eclipse project.
A good starting point would be
https://cucumber.io/docs/reference/jvm#java,
3rd result querying Google for "cucumber java startup"
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the
Google Groups "Cukes" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
To unsubscribe from this group and all its topics, send an email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the
Google Groups "Cukes" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
To unsubscribe from this group and all its topics, send an email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google Groups "Cukes" group.
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the Google Groups "Cukes" group.
To unsubscribe from this topic, visit https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google Groups "Cukes" group.
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the Google Groups "Cukes" group.
To unsubscribe from this topic, visit https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google Groups "Cukes" group.
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the Google Groups "Cukes" group.
To unsubscribe from this topic, visit https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google Groups "Cukes" group.
To unsubscribe from this group and stop receiving emails from it, send an email to cukes+***@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Roberto Lo Giacco
2016-03-30 12:57:36 UTC
Permalink
Post by Gaurav Sharma
1. cucumber-core-1.1.5
2. cucumber-html-0.2.3
3. cucumber-java-1.1.5
4. cucumber-junit-1.1.5
5. cucumber-jvm-deps-1.0.3
6. hamcrest-all-1.3
7. junit-4.11
8. selenium-server-standalone-2.42.0
9. gherkin-2.12.1
1. cucumber-core-1.2.4
2. cucumber-html-0.2.3
3. cucumber-java-1.1.3
4. cucumber-junit-1.2.4
5. cucumber-jvm-deps-1.0.5
6. gherkin-2.9.3
7. hamcrest-all-1.1
8. junit-4.12
9. selenium-server-standalone-2.53.0
​So, in your opinion, cucumber-java-1.1.3 is newer than cucumber-java
1.1.5?

It doesn't get much to understand cucumber-core, java, html and junit
should all be at version 1.2.4​, I also believe you need cucumber-jvm-deps
(1.0.5) and gherkin (2.12.2).

All the necessary and optional dependencies are listed here (
https://repo1.maven.org/maven2/info/cukes/cucumber-jvm/1.2.4/cucumber-jvm-1.2.4.pom
).

Selenium is a separate thing, I hardly believe you can get through with
just the standalone server.
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
I used that version of gherkin also, but same result :)
...and what version of cucumber-java?
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
I was following a video on youtube to start with cucumber, he must be
using the same video. Rest I do not know about him.
1. cucumber-core-1.2.4
2. cucumber-html-0.2.3
3. cucumber-java-1.1.3
4. cucumber-junit-1.2.4
5. cucumber-jvm-deps-1.0.5
6. gherkin-2.9.3
7. hamcrest-all-1.1
8. junit-4.12
9. selenium-server-standalone-2.53.0
Good. You should be able to spot discrepancies in the Cucumber jar
versions, as well as with what I quoted in my pervious reply :-)
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
1. cucumber-core-1.1.5
2. cucumber-html-0.2.3
3. cucumber-java-1.1.5
4. cucumber-junit-1.1.5
5. cucumber-jvm-deps-1.0.3
6. hamcrest-all-1.3
7. junit-4.11
8. selenium-server-standalone-2.42.0
9. gherkin-2.12.1
I have even used the latest jars, but error is same.
Can you give us a jar list of when you are using it with the latest
jars?
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Paolo Ambrosio
Mustafa must be a colleague of yours since you are having the same
problem using exactly the same library versions. He never replied to
"you
forgot to upgrade gherkin to 2.12.2 and cucumber-jvm-deps to 1.0.5"
when he upgraded to the latest Cucumber-JVM.
Post by Gaurav Sharma
Usage: java cucumber.api.cli.Main [options] [
[FILE|DIR][:LINE[:LINE]*] ]+
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
-g, --glue PATH Where glue code (step
definitions and hooks) is loaded from.
-f, --format FORMAT[:PATH_OR_URL] How to format results. Goes
to
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
STDOUT unless PATH_OR_URL is specified.
Built-in FORMAT types: junit,
html, pretty, progress, json.
FORMAT can also be a fully
qualified class name.
-t, --tags TAG_EXPRESSION Only run scenarios tagged
with
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
tags matching TAG_EXPRESSION.
-n, --name REGEXP Only run scenarios whose
names
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
match REGEXP.
-d, --[no-]-dry-run Skip execution of glue code.
-m, --[no-]-monochrome Don't colour terminal output.
-s, --[no-]-strict Treat undefined and pending
steps as errors.
--snippets Snippet name: underscore,
camelcase
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
--dotcucumber PATH_OR_URL Where to write out runtime
information. PATH_OR_URL can be a file system
path or a URL.
-v, --version Print version.
-h, --help You're looking at it.
Unknown
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
option: --plugin
at cucumber.runtime.RuntimeOptions.parse(RuntimeOptions.java:119)
at cucumber.runtime.RuntimeOptions.<init>(RuntimeOptions.java:50)
at cucumber.runtime.RuntimeOptions.<init>(RuntimeOptions.java:44)
at cucumber.api.cli.Main.run(Main.java:20)
at cucumber.api.cli.Main.main(Main.java:16)
Feature: Title of your feature
Scenario: Title of your scenario
Given I naviagted to the zoo website
When I click on adoption link
Then I check to see that no animals are available
I am running it as a "Cucumber Feature".
On Wed, Mar 30, 2016 at 11:32 AM, Björn Rasmusson
Post by Björn Rasmusson
Post by Gaurav Sharma
Hi,
I am using Eclipse since last 3 years. I have extensively used it
for
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Björn Rasmusson
Post by Gaurav Sharma
Selenium. Now I want to start with cucumber.
I am aware of maven n adding the dependency. I am doing it in my
office and due to firewall and other security reasons I am not
able to
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Björn Rasmusson
Post by Gaurav Sharma
download maven plugin. That is why I am doing with normal project
with
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Björn Rasmusson
Post by Gaurav Sharma
the help of jar files.
I have added all the jars but still getting the error.
Which jar files do you mean with "all the jars"?
/Björn
Post by Gaurav Sharma
Not sure about
the error, so seeking for a help.
Thanks,
Gaurav Sharma
On Tue, Mar 29, 2016 at 8:33 PM, Roberto Lo Giacco <
Il giorno martedì 29 marzo 2016 09:20:17 UTC+2, Gaurav Sharma ha
Post by g***@gmail.com
Hi All,
I tried all the possible ways I could search in google, but it
is not
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Björn Rasmusson
Post by Gaurav Sharma
Post by g***@gmail.com
helping me.
Please help me in getting it run.
Your help will be very much appreciated.
Have you ever used Eclipse before or is this your very first
time with
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Björn Rasmusson
Post by Gaurav Sharma
Java?
Do you know or have you ever used Maven? If yes, then add the
cucumber-java
dependency to your POM.
Do you know how to add a dependency to an Eclipse project? If
so add the
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Björn Rasmusson
Post by Gaurav Sharma
cucumber-java dependency to your Eclipse project.
A good starting point would be
https://cucumber.io/docs/reference/jvm#java,
3rd result querying Google for "cucumber java startup"
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic
in the
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Björn Rasmusson
Post by Gaurav Sharma
Google Groups "Cukes" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe
.
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Björn Rasmusson
Post by Gaurav Sharma
To unsubscribe from this group and all its topics, send an
email to
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Björn Rasmusson
Post by Gaurav Sharma
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in
the
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Björn Rasmusson
Google Groups "Cukes" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
To unsubscribe from this group and all its topics, send an email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google
Groups "Cukes" group.
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
To unsubscribe from this group and stop receiving emails from it,
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in
the Google Groups "Cukes" group.
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Paolo Ambrosio
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Paolo Ambrosio
To unsubscribe from this group and all its topics, send an email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google
Groups "Cukes" group.
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
To unsubscribe from this group and stop receiving emails from it,
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the
Google Groups "Cukes" group.
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Paolo Ambrosio
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
Post by Paolo Ambrosio
Post by Gaurav Sharma
Post by Paolo Ambrosio
To unsubscribe from this group and all its topics, send an email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google
Groups "Cukes" group.
Post by Paolo Ambrosio
Post by Gaurav Sharma
To unsubscribe from this group and stop receiving emails from it, send
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the
Google Groups "Cukes" group.
Post by Paolo Ambrosio
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
Post by Paolo Ambrosio
To unsubscribe from this group and all its topics, send an email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the
Google Groups "Cukes" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
To unsubscribe from this group and all its topics, send an email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google Groups "Cukes" group.
To unsubscribe from this group and stop receiving emails from it, send an email to cukes+***@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Gaurav Sharma
2016-03-30 13:13:19 UTC
Permalink
I was trying to give it a try with different version, that why the
cucumber java version got mixed.

I tried using the version mentioned by you and getting the below error :

Exception in thread "main" cucumber.runtime.CucumberException: No
backends were found. Please make sure you have a backend module on
your CLASSPATH.
at cucumber.runtime.Runtime.<init>(Runtime.java:80)
at cucumber.runtime.Runtime.<init>(Runtime.java:69)
at cucumber.runtime.Runtime.<init>(Runtime.java:65)
at cucumber.api.cli.Main.run(Main.java:35)
at cucumber.api.cli.Main.main(Main.java:18)
Post by Gaurav Sharma
1. cucumber-core-1.1.5
2. cucumber-html-0.2.3
3. cucumber-java-1.1.5
4. cucumber-junit-1.1.5
5. cucumber-jvm-deps-1.0.3
6. hamcrest-all-1.3
7. junit-4.11
8. selenium-server-standalone-2.42.0
9. gherkin-2.12.1
1. cucumber-core-1.2.4
2. cucumber-html-0.2.3
3. cucumber-java-1.1.3
4. cucumber-junit-1.2.4
5. cucumber-jvm-deps-1.0.5
6. gherkin-2.9.3
7. hamcrest-all-1.1
8. junit-4.12
9. selenium-server-standalone-2.53.0
So, in your opinion, cucumber-java-1.1.3 is newer than cucumber-java 1.1.5?
It doesn't get much to understand cucumber-core, java, html and junit should
all be at version 1.2.4, I also believe you need cucumber-jvm-deps (1.0.5)
and gherkin (2.12.2).
All the necessary and optional dependencies are listed here
(https://repo1.maven.org/maven2/info/cukes/cucumber-jvm/1.2.4/cucumber-jvm-1.2.4.pom).
Selenium is a separate thing, I hardly believe you can get through with just
the standalone server.
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
I used that version of gherkin also, but same result :)
...and what version of cucumber-java?
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
I was following a video on youtube to start with cucumber, he must be
using the same video. Rest I do not know about him.
1. cucumber-core-1.2.4
2. cucumber-html-0.2.3
3. cucumber-java-1.1.3
4. cucumber-junit-1.2.4
5. cucumber-jvm-deps-1.0.5
6. gherkin-2.9.3
7. hamcrest-all-1.1
8. junit-4.12
9. selenium-server-standalone-2.53.0
Good. You should be able to spot discrepancies in the Cucumber jar
versions, as well as with what I quoted in my pervious reply :-)
Post by Gaurav Sharma
On Wed, Mar 30, 2016 at 11:47 AM, Paolo Ambrosio
On Wed, Mar 30, 2016 at 7:10 AM, Gaurav Sharma
Post by Gaurav Sharma
1. cucumber-core-1.1.5
2. cucumber-html-0.2.3
3. cucumber-java-1.1.5
4. cucumber-junit-1.1.5
5. cucumber-jvm-deps-1.0.3
6. hamcrest-all-1.3
7. junit-4.11
8. selenium-server-standalone-2.42.0
9. gherkin-2.12.1
I have even used the latest jars, but error is same.
Can you give us a jar list of when you are using it with the latest jars?
Mustafa must be a colleague of yours since you are having the same
problem using exactly the same library versions. He never replied to
"you
forgot to upgrade gherkin to 2.12.2 and cucumber-jvm-deps to 1.0.5"
when he upgraded to the latest Cucumber-JVM.
Post by Gaurav Sharma
Usage: java cucumber.api.cli.Main [options] [
[FILE|DIR][:LINE[:LINE]*] ]+
-g, --glue PATH Where glue code (step
definitions and hooks) is loaded from.
-f, --format FORMAT[:PATH_OR_URL] How to format results. Goes to
STDOUT unless PATH_OR_URL is specified.
Built-in FORMAT types: junit,
html, pretty, progress, json.
FORMAT can also be a fully
qualified class name.
-t, --tags TAG_EXPRESSION Only run scenarios tagged with
tags matching TAG_EXPRESSION.
-n, --name REGEXP Only run scenarios whose names
match REGEXP.
-d, --[no-]-dry-run Skip execution of glue code.
-m, --[no-]-monochrome Don't colour terminal output.
-s, --[no-]-strict Treat undefined and pending
steps as errors.
--snippets Snippet name: underscore, camelcase
--dotcucumber PATH_OR_URL Where to write out runtime
information. PATH_OR_URL can be a file system
path or a URL.
-v, --version Print version.
-h, --help You're looking at it.
Exception in thread "main" cucumber.runtime.CucumberException: Unknown
option: --plugin
at cucumber.runtime.RuntimeOptions.parse(RuntimeOptions.java:119)
at cucumber.runtime.RuntimeOptions.<init>(RuntimeOptions.java:50)
at cucumber.runtime.RuntimeOptions.<init>(RuntimeOptions.java:44)
at cucumber.api.cli.Main.run(Main.java:20)
at cucumber.api.cli.Main.main(Main.java:16)
Feature: Title of your feature
Scenario: Title of your scenario
Given I naviagted to the zoo website
When I click on adoption link
Then I check to see that no animals are available
I am running it as a "Cucumber Feature".
On Wed, Mar 30, 2016 at 11:32 AM, Björn Rasmusson
Post by Björn Rasmusson
Post by Gaurav Sharma
Hi,
I am using Eclipse since last 3 years. I have extensively used it for
Selenium. Now I want to start with cucumber.
I am aware of maven n adding the dependency. I am doing it in my
office and due to firewall and other security reasons I am not able to
download maven plugin. That is why I am doing with normal project with
the help of jar files.
I have added all the jars but still getting the error.
Which jar files do you mean with "all the jars"?
/Björn
Post by Gaurav Sharma
Not sure about
the error, so seeking for a help.
Thanks,
Gaurav Sharma
On Tue, Mar 29, 2016 at 8:33 PM, Roberto Lo Giacco
Il giorno martedì 29 marzo 2016 09:20:17 UTC+2, Gaurav Sharma ha
Post by g***@gmail.com
Hi All,
I tried all the possible ways I could search in google, but it
is not
helping me.
Please help me in getting it run.
Your help will be very much appreciated.
Have you ever used Eclipse before or is this your very first
time with
Java?
Do you know or have you ever used Maven? If yes, then add the
cucumber-java
dependency to your POM.
Do you know how to add a dependency to an Eclipse project? If
so add the
cucumber-java dependency to your Eclipse project.
A good starting point would be
https://cucumber.io/docs/reference/jvm#java,
3rd result querying Google for "cucumber java startup"
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic
in the
Google Groups "Cukes" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
To unsubscribe from this group and all its topics, send an email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the
Google Groups "Cukes" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
To unsubscribe from this group and all its topics, send an email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google
Groups "Cukes" group.
To unsubscribe from this group and stop receiving emails from it,
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in
the Google Groups "Cukes" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
To unsubscribe from this group and all its topics, send an email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google
Groups "Cukes" group.
To unsubscribe from this group and stop receiving emails from it,
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the
Google Groups "Cukes" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
To unsubscribe from this group and all its topics, send an email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google
Groups "Cukes" group.
To unsubscribe from this group and stop receiving emails from it, send
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the
Google Groups "Cukes" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
To unsubscribe from this group and all its topics, send an email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the
Google Groups "Cukes" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
To unsubscribe from this group and all its topics, send an email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the
Google Groups "Cukes" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
To unsubscribe from this group and all its topics, send an email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google Groups "Cukes" group.
To unsubscribe from this group and stop receiving emails from it, send an email to cukes+***@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Paolo Ambrosio
2016-03-30 13:33:42 UTC
Permalink
Post by Gaurav Sharma
I was trying to give it a try with different version, that why the
cucumber java version got mixed.
Exception in thread "main" cucumber.runtime.CucumberException: No
backends were found. Please make sure you have a backend module on
your CLASSPATH.
at cucumber.runtime.Runtime.<init>(Runtime.java:80)
at cucumber.runtime.Runtime.<init>(Runtime.java:69)
at cucumber.runtime.Runtime.<init>(Runtime.java:65)
at cucumber.api.cli.Main.run(Main.java:35)
at cucumber.api.cli.Main.main(Main.java:18)
Are you sure cucumber-java is in the classpath? That message means
exactly that you have no backend in the classpath, and cucumber-java
is one of them.

https://www.google.com/#q=cucumber+%22No+Backends+were+found%22

In case you don't have access to a computer outside work, where you
said you can't access maven repositories, this is the list of
dependency from the cucumber-java-skeleton:

$ mvn dependency:tree
[INFO] Scanning for projects...
[INFO]
[INFO] ------------------------------------------------------------------------
[INFO] Building Cucumber-Java Skeleton 0.0.1
[INFO] ------------------------------------------------------------------------
[INFO]
[INFO] --- maven-dependency-plugin:2.8:tree (default-cli) @
cucumber-java-skeleton ---
[INFO] cucumber:cucumber-java-skeleton:jar:0.0.1
[INFO] +- info.cukes:cucumber-java:jar:1.2.4:test
[INFO] | \- info.cukes:cucumber-core:jar:1.2.4:test
[INFO] | +- info.cukes:cucumber-html:jar:0.2.3:test
[INFO] | +- info.cukes:cucumber-jvm-deps:jar:1.0.5:test
[INFO] | \- info.cukes:gherkin:jar:2.12.2:test
[INFO] +- info.cukes:cucumber-junit:jar:1.2.4:test
[INFO] \- junit:junit:jar:4.12:test
[INFO] \- org.hamcrest:hamcrest-core:jar:1.3:test
[INFO] ------------------------------------------------------------------------
[INFO] BUILD SUCCESS
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 1.197 s
[INFO] Finished at: 2016-03-30T14:30:45+01:00
[INFO] Final Memory: 13M/309M
[INFO] ------------------------------------------------------------------------
Post by Gaurav Sharma
Post by Gaurav Sharma
1. cucumber-core-1.1.5
2. cucumber-html-0.2.3
3. cucumber-java-1.1.5
4. cucumber-junit-1.1.5
5. cucumber-jvm-deps-1.0.3
6. hamcrest-all-1.3
7. junit-4.11
8. selenium-server-standalone-2.42.0
9. gherkin-2.12.1
1. cucumber-core-1.2.4
2. cucumber-html-0.2.3
3. cucumber-java-1.1.3
4. cucumber-junit-1.2.4
5. cucumber-jvm-deps-1.0.5
6. gherkin-2.9.3
7. hamcrest-all-1.1
8. junit-4.12
9. selenium-server-standalone-2.53.0
So, in your opinion, cucumber-java-1.1.3 is newer than cucumber-java 1.1.5?
It doesn't get much to understand cucumber-core, java, html and junit should
all be at version 1.2.4, I also believe you need cucumber-jvm-deps (1.0.5)
and gherkin (2.12.2).
All the necessary and optional dependencies are listed here
(https://repo1.maven.org/maven2/info/cukes/cucumber-jvm/1.2.4/cucumber-jvm-1.2.4.pom).
Selenium is a separate thing, I hardly believe you can get through with just
the standalone server.
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
I used that version of gherkin also, but same result :)
...and what version of cucumber-java?
Post by Gaurav Sharma
Post by Paolo Ambrosio
Post by Gaurav Sharma
I was following a video on youtube to start with cucumber, he must be
using the same video. Rest I do not know about him.
1. cucumber-core-1.2.4
2. cucumber-html-0.2.3
3. cucumber-java-1.1.3
4. cucumber-junit-1.2.4
5. cucumber-jvm-deps-1.0.5
6. gherkin-2.9.3
7. hamcrest-all-1.1
8. junit-4.12
9. selenium-server-standalone-2.53.0
Good. You should be able to spot discrepancies in the Cucumber jar
versions, as well as with what I quoted in my pervious reply :-)
Post by Gaurav Sharma
On Wed, Mar 30, 2016 at 11:47 AM, Paolo Ambrosio
On Wed, Mar 30, 2016 at 7:10 AM, Gaurav Sharma
Post by Gaurav Sharma
1. cucumber-core-1.1.5
2. cucumber-html-0.2.3
3. cucumber-java-1.1.5
4. cucumber-junit-1.1.5
5. cucumber-jvm-deps-1.0.3
6. hamcrest-all-1.3
7. junit-4.11
8. selenium-server-standalone-2.42.0
9. gherkin-2.12.1
I have even used the latest jars, but error is same.
Can you give us a jar list of when you are using it with the latest jars?
Mustafa must be a colleague of yours since you are having the same
problem using exactly the same library versions. He never replied to
"you
forgot to upgrade gherkin to 2.12.2 and cucumber-jvm-deps to 1.0.5"
when he upgraded to the latest Cucumber-JVM.
Post by Gaurav Sharma
Usage: java cucumber.api.cli.Main [options] [
[FILE|DIR][:LINE[:LINE]*] ]+
-g, --glue PATH Where glue code (step
definitions and hooks) is loaded from.
-f, --format FORMAT[:PATH_OR_URL] How to format results. Goes to
STDOUT unless PATH_OR_URL is specified.
Built-in FORMAT types: junit,
html, pretty, progress, json.
FORMAT can also be a fully
qualified class name.
-t, --tags TAG_EXPRESSION Only run scenarios tagged with
tags matching TAG_EXPRESSION.
-n, --name REGEXP Only run scenarios whose names
match REGEXP.
-d, --[no-]-dry-run Skip execution of glue code.
-m, --[no-]-monochrome Don't colour terminal output.
-s, --[no-]-strict Treat undefined and pending
steps as errors.
--snippets Snippet name: underscore,
camelcase
--dotcucumber PATH_OR_URL Where to write out runtime
information. PATH_OR_URL can be a file system
path or a URL.
-v, --version Print version.
-h, --help You're looking at it.
Exception in thread "main" cucumber.runtime.CucumberException: Unknown
option: --plugin
at cucumber.runtime.RuntimeOptions.parse(RuntimeOptions.java:119)
at cucumber.runtime.RuntimeOptions.<init>(RuntimeOptions.java:50)
at cucumber.runtime.RuntimeOptions.<init>(RuntimeOptions.java:44)
at cucumber.api.cli.Main.run(Main.java:20)
at cucumber.api.cli.Main.main(Main.java:16)
Feature: Title of your feature
Scenario: Title of your scenario
Given I naviagted to the zoo website
When I click on adoption link
Then I check to see that no animals are available
I am running it as a "Cucumber Feature".
On Wed, Mar 30, 2016 at 11:32 AM, Björn Rasmusson
Post by Björn Rasmusson
Post by Gaurav Sharma
Hi,
I am using Eclipse since last 3 years. I have extensively used it for
Selenium. Now I want to start with cucumber.
I am aware of maven n adding the dependency. I am doing it in my
office and due to firewall and other security reasons I am not
able to
download maven plugin. That is why I am doing with normal project
with
the help of jar files.
I have added all the jars but still getting the error.
Which jar files do you mean with "all the jars"?
/Björn
Post by Gaurav Sharma
Not sure about
the error, so seeking for a help.
Thanks,
Gaurav Sharma
On Tue, Mar 29, 2016 at 8:33 PM, Roberto Lo Giacco
Il giorno martedì 29 marzo 2016 09:20:17 UTC+2, Gaurav Sharma ha
Post by g***@gmail.com
Hi All,
I tried all the possible ways I could search in google, but it
is not
helping me.
Please help me in getting it run.
Your help will be very much appreciated.
Have you ever used Eclipse before or is this your very first
time with
Java?
Do you know or have you ever used Maven? If yes, then add the
cucumber-java
dependency to your POM.
Do you know how to add a dependency to an Eclipse project? If
so add the
cucumber-java dependency to your Eclipse project.
A good starting point would be
https://cucumber.io/docs/reference/jvm#java,
3rd result querying Google for "cucumber java startup"
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic
in the
Google Groups "Cukes" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
To unsubscribe from this group and all its topics, send an
email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the
Google Groups "Cukes" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
To unsubscribe from this group and all its topics, send an email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google
Groups "Cukes" group.
To unsubscribe from this group and stop receiving emails from it,
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in
the Google Groups "Cukes" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
To unsubscribe from this group and all its topics, send an email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google
Groups "Cukes" group.
To unsubscribe from this group and stop receiving emails from it,
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the
Google Groups "Cukes" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
To unsubscribe from this group and all its topics, send an email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google
Groups "Cukes" group.
To unsubscribe from this group and stop receiving emails from it, send
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the
Google Groups "Cukes" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
To unsubscribe from this group and all its topics, send an email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the
Google Groups "Cukes" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
To unsubscribe from this group and all its topics, send an email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the
Google Groups "Cukes" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
To unsubscribe from this group and all its topics, send an email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google Groups "Cukes" group.
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google Groups "Cukes" group.
To unsubscribe from this group and stop receiving emails from it, send an email to cukes+***@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Roberto Lo Giacco
2016-03-30 13:35:58 UTC
Permalink
Post by Gaurav Sharma
cucumber.runtime.CucumberException: No
backends were found. Please make sure you have a backend module on
your CLASSPATH
​cucumber-java​
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google Groups "Cukes" group.
To unsubscribe from this group and stop receiving emails from it, send an email to cukes+***@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Gaurav Sharma
2016-03-31 06:00:21 UTC
Permalink
I am using cucumber-java 1.1.3, now getting other error message :

Exception in thread "main" cucumber.runtime.CucumberException: Failed
to instantiate public
cucumber.runtime.java.JavaBackend(cucumber.runtime.io.ResourceLoader)
with [***@1c5cd7]
at cucumber.runtime.Reflections.newInstance(Reflections.java:44)
at cucumber.runtime.Reflections.instantiateSubclasses(Reflections.java:30)
at cucumber.runtime.Runtime.loadBackends(Runtime.java:98)
at cucumber.runtime.Runtime.<init>(Runtime.java:65)
at cucumber.api.cli.Main.run(Main.java:35)
at cucumber.api.cli.Main.main(Main.java:18)
Caused by: java.lang.reflect.InvocationTargetException
at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknown Source)
at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Unknown Source)
at java.lang.reflect.Constructor.newInstance(Unknown Source)
at cucumber.runtime.Reflections.newInstance(Reflections.java:41)
... 5 more
Caused by: java.lang.NoSuchMethodError:
cucumber.runtime.io.ClasspathResourceLoader.getAnnotations(Ljava/lang/String;)Ljava/util/Collection;
at cucumber.runtime.java.ClasspathMethodScanner.findCucumberAnnotationClasses(ClasspathMethodScanner.java:75)
at cucumber.runtime.java.ClasspathMethodScanner.<init>(ClasspathMethodScanner.java:23)
at cucumber.runtime.java.JavaBackend.<init>(JavaBackend.java:30)
... 10 more
Post by Thomas Sundberg
Post by Gaurav Sharma
cucumber.runtime.CucumberException: No
backends were found. Please make sure you have a backend module on
your CLASSPATH
cucumber-java
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the
Google Groups "Cukes" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
To unsubscribe from this group and all its topics, send an email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google Groups "Cukes" group.
To unsubscribe from this group and stop receiving emails from it, send an email to cukes+***@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Roberto Lo Giacco
2016-03-31 08:26:44 UTC
Permalink
​Who told you to use version 1.1.3? Both us told you to use 1.2.4 and you
are still missing libraries.

This is plain Java programming man!
​
Post by g***@gmail.com
Exception in thread "main" cucumber.runtime.CucumberException: Failed
to instantiate public
cucumber.runtime.java.JavaBackend(cucumber.runtime.io.ResourceLoader)
at cucumber.runtime.Reflections.newInstance(Reflections.java:44)
at cucumber.runtime.Reflections.instantiateSubclasses(Reflections.java:30)
at cucumber.runtime.Runtime.loadBackends(Runtime.java:98)
at cucumber.runtime.Runtime.<init>(Runtime.java:65)
at cucumber.api.cli.Main.run(Main.java:35)
at cucumber.api.cli.Main.main(Main.java:18)
Caused by: java.lang.reflect.InvocationTargetException
at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknown Source)
at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Unknown Source)
at java.lang.reflect.Constructor.newInstance(Unknown Source)
at cucumber.runtime.Reflections.newInstance(Reflections.java:41)
... 5 more
cucumber.runtime.io.ClasspathResourceLoader.getAnnotations(Ljava/lang/String;)Ljava/util/Collection;
at
cucumber.runtime.java.ClasspathMethodScanner.findCucumberAnnotationClasses(ClasspathMethodScanner.java:75)
at
cucumber.runtime.java.ClasspathMethodScanner.<init>(ClasspathMethodScanner.java:23)
at cucumber.runtime.java.JavaBackend.<init>(JavaBackend.java:30)
... 10 more
Post by Thomas Sundberg
Post by Gaurav Sharma
cucumber.runtime.CucumberException: No
backends were found. Please make sure you have a backend module on
your CLASSPATH
cucumber-java
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the
Google Groups "Cukes" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
To unsubscribe from this group and all its topics, send an email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the
Google Groups "Cukes" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
To unsubscribe from this group and all its topics, send an email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google Groups "Cukes" group.
To unsubscribe from this group and stop receiving emails from it, send an email to cukes+***@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Gaurav Sharma
2016-03-31 09:12:48 UTC
Permalink
I am really sorry, I missed out that.

Thanks a lot for your help.
Who told you to use version 1.1.3? Both us told you to use 1.2.4 and you are
still missing libraries.
This is plain Java programming man!
Post by g***@gmail.com
Exception in thread "main" cucumber.runtime.CucumberException: Failed
to instantiate public
cucumber.runtime.java.JavaBackend(cucumber.runtime.io.ResourceLoader)
at cucumber.runtime.Reflections.newInstance(Reflections.java:44)
at cucumber.runtime.Reflections.instantiateSubclasses(Reflections.java:30)
at cucumber.runtime.Runtime.loadBackends(Runtime.java:98)
at cucumber.runtime.Runtime.<init>(Runtime.java:65)
at cucumber.api.cli.Main.run(Main.java:35)
at cucumber.api.cli.Main.main(Main.java:18)
Caused by: java.lang.reflect.InvocationTargetException
at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknown Source)
at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Unknown Source)
at java.lang.reflect.Constructor.newInstance(Unknown Source)
at cucumber.runtime.Reflections.newInstance(Reflections.java:41)
... 5 more
cucumber.runtime.io.ClasspathResourceLoader.getAnnotations(Ljava/lang/String;)Ljava/util/Collection;
at
cucumber.runtime.java.ClasspathMethodScanner.findCucumberAnnotationClasses(ClasspathMethodScanner.java:75)
at
cucumber.runtime.java.ClasspathMethodScanner.<init>(ClasspathMethodScanner.java:23)
at cucumber.runtime.java.JavaBackend.<init>(JavaBackend.java:30)
... 10 more
Post by Thomas Sundberg
Post by Gaurav Sharma
cucumber.runtime.CucumberException: No
backends were found. Please make sure you have a backend module on
your CLASSPATH
cucumber-java
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the
Google Groups "Cukes" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
To unsubscribe from this group and all its topics, send an email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the
Google Groups "Cukes" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
To unsubscribe from this group and all its topics, send an email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the
Google Groups "Cukes" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
To unsubscribe from this group and all its topics, send an email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google Groups "Cukes" group.
To unsubscribe from this group and stop receiving emails from it, send an email to cukes+***@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Nagarjuna Reddy
2016-08-13 23:32:13 UTC
Permalink
Hi All,

Am getting the same issue.


cucumber.runtime.CucumberException: Failed to instantiate class
com.test1.demo.StepDefinitionXMLValidations
at
cucumber.runtime.java.DefaultJavaObjectFactory.cacheNewInstance(DefaultJavaObjectFactory.java:46)
at
cucumber.runtime.java.DefaultJavaObjectFactory.getInstance(DefaultJavaObjectFactory.java:32)
at
cucumber.runtime.java.JavaStepDefinition.execute(JavaStepDefinition.java:38)
at cucumber.runtime.StepDefinitionMatch.runStep(StepDefinitionMatch.java:37)
at cucumber.runtime.Runtime.runStep(Runtime.java:299)
at cucumber.runtime.model.StepContainer.runStep(StepContainer.java:44)
at cucumber.runtime.model.StepContainer.runSteps(StepContainer.java:39)
at cucumber.runtime.model.CucumberScenario.run(CucumberScenario.java:44)
at
cucumber.runtime.junit.ExecutionUnitRunner.run(ExecutionUnitRunner.java:91)
at org.junit.runners.Suite.runChild(Suite.java:127)
at org.junit.runners.Suite.runChild(Suite.java:26)
at org.junit.runners.ParentRunner$3.run(ParentRunner.java:238)
at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:63)
at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:236)
at org.junit.runners.ParentRunner.access$000(ParentRunner.java:53)
at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:229)
at org.junit.runners.ParentRunner.run(ParentRunner.java:309)
at cucumber.runtime.junit.ExamplesRunner.run(ExamplesRunner.java:59)
at org.junit.runners.Suite.runChild(Suite.java:127)
at org.junit.runners.Suite.runChild(Suite.java:26)
at org.junit.runners.ParentRunner$3.run(ParentRunner.java:238)
at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:63)
at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:236)
at org.junit.runners.ParentRunner.access$000(ParentRunner.java:53)
at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:229)
...

Below are the my dependencies used in pom.xml:
cucumber-java 1.2.4
cucumber-junit - 1.2.4
cucumber -core -1.2.4

Please suggest
Post by Roberto Lo Giacco
​Who told you to use version 1.1.3? Both us told you to use 1.2.4 and you
are still missing libraries.
This is plain Java programming man!
​
Post by g***@gmail.com
Exception in thread "main" cucumber.runtime.CucumberException: Failed
to instantiate public
cucumber.runtime.java.JavaBackend(cucumber.runtime.io.ResourceLoader)
at cucumber.runtime.Reflections.newInstance(Reflections.java:44)
at cucumber.runtime.Reflections.instantiateSubclasses(Reflections.java:30)
at cucumber.runtime.Runtime.loadBackends(Runtime.java:98)
at cucumber.runtime.Runtime.<init>(Runtime.java:65)
at cucumber.api.cli.Main.run(Main.java:35)
at cucumber.api.cli.Main.main(Main.java:18)
Caused by: java.lang.reflect.InvocationTargetException
at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknown Source)
at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Unknown Source)
at java.lang.reflect.Constructor.newInstance(Unknown Source)
at cucumber.runtime.Reflections.newInstance(Reflections.java:41)
... 5 more
cucumber.runtime.io.ClasspathResourceLoader.getAnnotations(Ljava/lang/String;)Ljava/util/Collection;
at
cucumber.runtime.java.ClasspathMethodScanner.findCucumberAnnotationClasses(ClasspathMethodScanner.java:75)
at
cucumber.runtime.java.ClasspathMethodScanner.<init>(ClasspathMethodScanner.java:23)
at cucumber.runtime.java.JavaBackend.<init>(JavaBackend.java:30)
... 10 more
Post by Thomas Sundberg
Post by Gaurav Sharma
cucumber.runtime.CucumberException: No
backends were found. Please make sure you have a backend module on
your CLASSPATH
cucumber-java
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the
Google Groups "Cukes" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
To unsubscribe from this group and all its topics, send an email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the
Google Groups "Cukes" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
To unsubscribe from this group and all its topics, send an email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google Groups "Cukes" group.
To unsubscribe from this group and stop receiving emails from it, send an email to cukes+***@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Roberto Lo Giacco
2016-08-19 21:54:09 UTC
Permalink
Post by Nagarjuna Reddy
Please suggest
​May be reading the posting rules first can help?

http://cukes.info/posting-rules.html
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google Groups "Cukes" group.
To unsubscribe from this group and stop receiving emails from it, send an email to cukes+***@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Paolo Ambrosio
2016-08-20 07:34:00 UTC
Permalink
On Sun, Aug 14, 2016 at 12:32 AM, Nagarjuna Reddy
Post by g***@gmail.com
Hi All,
Am getting the same issue.
Please refrain from resuming an old thread, especially if unrelated.
Post by g***@gmail.com
cucumber.runtime.CucumberException: Failed to instantiate class
com.test1.demo.StepDefinitionXMLValidations
*** Failed to instantiate class com.test1.demo.StepDefinitionXMLValidations ***

Have you got a default constructor? Can't help you with just the stack
trace and the versions.
Post by g***@gmail.com
at
cucumber.runtime.java.DefaultJavaObjectFactory.cacheNewInstance(DefaultJavaObjectFactory.java:46)
at
cucumber.runtime.java.DefaultJavaObjectFactory.getInstance(DefaultJavaObjectFactory.java:32)
at
cucumber.runtime.java.JavaStepDefinition.execute(JavaStepDefinition.java:38)
at cucumber.runtime.StepDefinitionMatch.runStep(StepDefinitionMatch.java:37)
at cucumber.runtime.Runtime.runStep(Runtime.java:299)
at cucumber.runtime.model.StepContainer.runStep(StepContainer.java:44)
at cucumber.runtime.model.StepContainer.runSteps(StepContainer.java:39)
at cucumber.runtime.model.CucumberScenario.run(CucumberScenario.java:44)
at
cucumber.runtime.junit.ExecutionUnitRunner.run(ExecutionUnitRunner.java:91)
at org.junit.runners.Suite.runChild(Suite.java:127)
at org.junit.runners.Suite.runChild(Suite.java:26)
at org.junit.runners.ParentRunner$3.run(ParentRunner.java:238)
at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:63)
at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:236)
at org.junit.runners.ParentRunner.access$000(ParentRunner.java:53)
at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:229)
at org.junit.runners.ParentRunner.run(ParentRunner.java:309)
at cucumber.runtime.junit.ExamplesRunner.run(ExamplesRunner.java:59)
at org.junit.runners.Suite.runChild(Suite.java:127)
at org.junit.runners.Suite.runChild(Suite.java:26)
at org.junit.runners.ParentRunner$3.run(ParentRunner.java:238)
at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:63)
at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:236)
at org.junit.runners.ParentRunner.access$000(ParentRunner.java:53)
at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:229)
...
cucumber-java 1.2.4
cucumber-junit - 1.2.4
cucumber -core -1.2.4
Please suggest
Post by Roberto Lo Giacco
Who told you to use version 1.1.3? Both us told you to use 1.2.4 and you
are still missing libraries.
This is plain Java programming man!
Post by g***@gmail.com
Exception in thread "main" cucumber.runtime.CucumberException: Failed
to instantiate public
cucumber.runtime.java.JavaBackend(cucumber.runtime.io.ResourceLoader)
at cucumber.runtime.Reflections.newInstance(Reflections.java:44)
at
cucumber.runtime.Reflections.instantiateSubclasses(Reflections.java:30)
at cucumber.runtime.Runtime.loadBackends(Runtime.java:98)
at cucumber.runtime.Runtime.<init>(Runtime.java:65)
at cucumber.api.cli.Main.run(Main.java:35)
at cucumber.api.cli.Main.main(Main.java:18)
Caused by: java.lang.reflect.InvocationTargetException
at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknown Source)
at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Unknown Source)
at java.lang.reflect.Constructor.newInstance(Unknown Source)
at cucumber.runtime.Reflections.newInstance(Reflections.java:41)
... 5 more
cucumber.runtime.io.ClasspathResourceLoader.getAnnotations(Ljava/lang/String;)Ljava/util/Collection;
at
cucumber.runtime.java.ClasspathMethodScanner.findCucumberAnnotationClasses(ClasspathMethodScanner.java:75)
at
cucumber.runtime.java.ClasspathMethodScanner.<init>(ClasspathMethodScanner.java:23)
at cucumber.runtime.java.JavaBackend.<init>(JavaBackend.java:30)
... 10 more
Post by Thomas Sundberg
Post by Gaurav Sharma
cucumber.runtime.CucumberException: No
backends were found. Please make sure you have a backend module on
your CLASSPATH
cucumber-java
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the
Google Groups "Cukes" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
To unsubscribe from this group and all its topics, send an email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to a topic in the
Google Groups "Cukes" group.
To unsubscribe from this topic, visit
https://groups.google.com/d/topic/cukes/_COGcnATQug/unsubscribe.
To unsubscribe from this group and all its topics, send an email to
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google Groups "Cukes" group.
To unsubscribe from this group and stop receiving emails from it, send an
For more options, visit https://groups.google.com/d/optout.
--
Posting rules: http://cukes.info/posting-rules.html
---
You received this message because you are subscribed to the Google Groups "Cukes" group.
To unsubscribe from this group and stop receiving emails from it, send an email to cukes+***@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Continue reading on narkive:
Loading...